# react resizer component

[![Version](https://img.shields.io/npm/v/react-resizer-component.svg)](https://www.npmjs.com/package/react-resizer-component)

A resizer component as a standalone library for resizing layout using [Flow](https://flow.org/) and [styled components](https://www.styled-components.com/).

![React resizer component](https://media.giphy.com/media/RiJu2dqj3lsu3Xgi5r/giphy.gif)

## Installation

Use the package manager [npm](https://www.npmjs.com/) to install react resizer component.

```bash
npm install react-resizer-component
```

## Usage

You can check the example folder in this repository for more help.

```javascript
import Layout from "react-resizer-component";

<Layout
    resize={"vertical"}
    width={500}
    height={50}
    background={"blue"}
/>
```

| Props  | Type | Default | Description |
| ------------- | ------------- | ------------- | ------------- |
| width  | number | 300 | Size in width  |
| height  | number | 300 | Size in height  |
| resize  | "string" | "both" | Change the size `horizontal`,`vertical`,`both` |
| background  | "string" | "none" | Background color   |
| repeat  | "string" | "no-repeat" | Sets if/how a background image will be repeated `repeat`,`repeat-x`,`repeat-y`,`no-repeat`,`space`,`round`,`initial`,`inherit` |
| size  | "string" | "cover" | Defines the size of the background images for the element `contain`,`cover`,`auto`,`length`,`percentage`,`initial`,`inherit` |
| image  | "string" | "" | Add an image  |
| overflow  | "string" | auto | specifies what should happen if content overflows an element's box  |

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

## License

[MIT](https://choosealicense.com/licenses/mit/)
